About BGP

Answered Question
Sep 1st, 2008
User Badges:

Hi all,

i got a 1760 modular router (16MB Flash, 32MB RAM). It's IOS doesn't support BGP, while i IOS 12.3(26) can run BGP, but its requirement is 32MB Flash, 96MB RAM. is there any possibilty that the IOS can b installed on router if i upgrade RAM or any other IOS version supporting BGP...

Thanks in advance

Correct Answer by satish_zanjurne about 8 years 10 months ago


Hi,

It is highly recommeded to have more RAM & high end router while running BGP.


In any case you need to have atleast 48MB RAM & 16 MB flash to run BGP with IP Base feature set.


Find below details of same.


Image Name c1700-ipbase-mz.123-1.bin

DRAM / Min Flash 48 / 16



HTH..rate if helpful..

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 4 (1 ratings)
Loading.
Richard Burts Mon, 09/01/2008 - 20:50
User Badges:
  • Super Silver, 17500 points or more
  • Hall of Fame,

    Founding Member

  • Cisco Designated VIP,

    2017 LAN, WAN

Zeeshan


You describe the issue as if the difference in versions (12.3(26) or whatever) makes the difference in whether it supports BGP. So first let us be clear that it is a difference in feature set and not a difference in version that determines whether there is support for BGP.


If the requirements to support BGP are really 32 MB Flash and 96 MB RAM then it would be best to upgrade both the flash and the RAM. But to answer your question if you upgrade the RAM to satisfy that requirement you might be able to run it on the router without upgrading Flash if you configure the router to boot the new image from a TFTP server. I would not recommend this but I believe that it could work.


HTH


Rick

Correct Answer
satish_zanjurne Mon, 09/01/2008 - 20:57
User Badges:
  • Silver, 250 points or more


Hi,

It is highly recommeded to have more RAM & high end router while running BGP.


In any case you need to have atleast 48MB RAM & 16 MB flash to run BGP with IP Base feature set.


Find below details of same.


Image Name c1700-ipbase-mz.123-1.bin

DRAM / Min Flash 48 / 16



HTH..rate if helpful..

zeeshan.a Mon, 09/01/2008 - 22:02
User Badges:

thnx,


but can you make me sure that i would need IP Base version or IP Plus??


satish_zanjurne Mon, 09/01/2008 - 23:20
User Badges:
  • Silver, 250 points or more

For 12.3 IP PLUS is not available.


can you mention apart from regular feature & BGP what all features you required?


I have attached list of features available in this image.


HTH..rate if helpful..


Actions

This Discussion